#ifndef ACTIVATION_FUNCTION_H
#define ACTIVATION_FUNCTION_H

#include <algorithm>
#include <cmath>
/**
 * Functor to set the activation function as a Sigmoid function
 */
struct Sigmoid {
  double operator()(double z) { return 1 / (1 + exp(-z)); };
};

/**
 * Functor to set the activation function as Rectified Linear Unit
 */
struct ReLU {
  double operator()(double z) { return std::max(z, 0.0); };
};
#endif
